/* =============================================
   ЭТАПЫ РАБОТЫ
   ============================================= */

.process { position: relative; padding: 60px 0 0; }

.process__head { max-width: 640px; margin-bottom: 40px; }
.process__title { margin-bottom: 20px; }
.process__description { color: var(--graphite); }

.process__timeline { position: relative; }

.process__timeline-track {
  position: relative;
  display: flex;
  gap: 0;
}
.process__timeline-track::before {
  content: '';
  position: absolute;
  top: 12px;
  left: 0;
  right: 0;
  height: 1px;
  width: calc(var(--itemcount ) * 164px + ((var(--itemcount) - 1) * 75px));
  background: var(--deep-navy);
}

.process__step {
  flex: 1;
  min-width: 0;
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 10px;
}

@media (min-width: 1081px) {
  .process__step {
    padding-left: 24px;
  }

  .process__step:first-child {
    padding-left: 0;
  }
}

.process__dot {
  width: 25px;
  height: 25px;
  border-radius: 50%;
  background: var(--white);
  border: 0.5px solid #F6C85F;
  position: relative;
  z-index: 1;
  margin: 0 auto;
}

.process__dot::before {
  width: calc(100% - 8px);
  height: calc(100% - 8px);
  position: absolute;
  top: 4px;
  left: 4px;
  display: block;
  content: '';
  border-radius: 50%;
  background-color: var(--deep-navy);
}

.process__dot::after {
  display: block;
  content: '';
  left: 50%;
  position: absolute;
  top: 100%;
  transform: translateX(-50%);
  height: 20px;
  width: 1px;
  background: var(--soft-sand);
}

.process__step-title { color: var(--deep-navy); text-align: center;
margin-top: 20px; }
.process__step-description { color: var(--graphite); text-align: center; }

@media (max-width: 1080px) {
  .process__timeline { overflow: hidden; cursor: grab; }
  .process__timeline.swiper-initialized { touch-action: pan-y; }
  .process__timeline-track { flex-wrap: nowrap; }
  .process__step {
    flex: none;
    width: 164px;
  }
}

@media (max-width: 768px) {
  .process { padding: 60px 0 0; }
  .process__head { margin-bottom: 28px; }
  .process__title { margin-bottom: 10px; }
}
